Package org.lwjgl.opengles

# Class KHRTextureCompressionAstcLdr

java.lang.Object
org.lwjgl.opengles.KHRTextureCompressionAstcLdr

public final class KHRTextureCompressionAstcLdr extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COMPRESSED_RGBA_ASTC_10x10_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_RGBA_ASTC_10x5_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_RGBA_ASTC_10x6_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_RGBA_ASTC_10x8_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_RGBA_ASTC_12x10_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_RGBA_ASTC_12x12_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_RGBA_ASTC_4x4_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_RGBA_ASTC_5x4_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_RGBA_ASTC_5x5_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_RGBA_ASTC_6x5_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_RGBA_ASTC_6x6_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_RGBA_ASTC_8x5_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_RGBA_ASTC_8x6_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_RGBA_ASTC_8x8_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR`
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COMPRESSED_RGBA_ASTC_4x4_KHR

public static final int GL_COMPRESSED_RGBA_ASTC_4x4_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_ASTC_5x4_KHR

public static final int GL_COMPRESSED_RGBA_ASTC_5x4_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_ASTC_5x5_KHR

public static final int GL_COMPRESSED_RGBA_ASTC_5x5_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_ASTC_6x5_KHR

public static final int GL_COMPRESSED_RGBA_ASTC_6x5_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_ASTC_6x6_KHR

public static final int GL_COMPRESSED_RGBA_ASTC_6x6_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_ASTC_8x5_KHR

public static final int GL_COMPRESSED_RGBA_ASTC_8x5_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_ASTC_8x6_KHR

public static final int GL_COMPRESSED_RGBA_ASTC_8x6_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_ASTC_8x8_KHR

public static final int GL_COMPRESSED_RGBA_ASTC_8x8_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_ASTC_10x5_KHR

public static final int GL_COMPRESSED_RGBA_ASTC_10x5_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_ASTC_10x6_KHR

public static final int GL_COMPRESSED_RGBA_ASTC_10x6_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_ASTC_10x8_KHR

public static final int GL_COMPRESSED_RGBA_ASTC_10x8_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_ASTC_10x10_KHR

public static final int GL_COMPRESSED_RGBA_ASTC_10x10_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_ASTC_12x10_KHR

public static final int GL_COMPRESSED_RGBA_ASTC_12x10_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_ASTC_12x12_KHR

public static final int GL_COMPRESSED_RGBA_ASTC_12x12_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR
Accepted by the <internalformat> parameter of CompressedTexImage2D, CompressedTexSubImage2D, TexStorage2D, TextureStorage2D, TexStorage3D, and TextureStorage3D:

See Also:
  - Constant Field Values